//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once
#include "objectex.h"

struct SThrusterParticleHolder;

struct SPlasma : SObjectEx
{
	SPlasma()
	{
		type = plasma_type;
		dead = false;
	}

	virtual ~SPlasma();
	virtual int Handle();
	virtual void Draw();

	int target_ship_id;
	vector2d target_loc;

	vector2d velocity;

	SThrusterParticleHolder* thruster;

	float max_life;

	float life;

	float min_damage;
	float max_damage;

	SBitmap* image;
};

SPlasma* CreatePlasma(SObject* parent, vector2d& start_pos, vector2d& direction, vector2d& destination, int ship_id);
